Vorlage:Infobar/style.css: Unterschied zwischen den Versionen

keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
 
(10 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 3: Zeile 3:
     max-width: 400px;
     max-width: 400px;
     overflow: hidden;
     overflow: hidden;
     background-color: #f4f4f4; /* Basis-Hintergrundfarbe als Fallback */
     background-color: #f4f4f4; /* Fallback Basisgrau */
     display: flex;
     display: flex;
     flex-direction: row;
     flex-direction: row;
     gap: 1.8em;
     gap: 1.3rem;
     border-radius: 6px;
     border-radius: 6px;
     padding: 1em;
     padding: 0.8rem;
     margin-bottom: 1.2em;
     margin-bottom: 1rem;
     color: #333; /* Basis-Textfarbe als Fallback */}
     color: #333; /* Fallback Basisgrau */}


.pagewide {
.pagewide {
    gap: 0.8rem !important;
     padding: 0.25rem !important;
     padding: 0.25rem !important;
     max-width: 100% !important;}
     max-width: 100% !important;}


.infobox-inline-text .head {
.infobox-inline-text .head {
     line-height: 1; /* Zeilenhöhe für die Kopfzeile */
     line-height: 1; /* Zeilenhöhe Kopfzeile */
     flex: 0 0 100%; /* Kopfzeile nimmt die gesamte Zeile ein */
     flex: 0 0 100%; /* Kopfzeile nimmt die gesamte Zeile ein */
     font-size: 105%; /* Schriftgröße */
     font-size: 0.9rem;
     margin: 0 0 0.5rem 0;
     margin: 0 0 0.5rem 0;
}
}
Zeile 35: Zeile 36:


.infobar-text {
.infobar-text {
     display: flex; /* Flexbox */
     display: flex;
     flex-wrap: wrap; /* Erlaubt Elementen, in die nächste Zeile zu gehen, wenn nicht genug Platz vorhanden ist */
     flex-wrap: wrap; /* Erlaubt Elementen, in die nächste Zeile zu gehen, wenn nicht genug Platz vorhanden ist */
     align-items: center; /* Zentriert die Elemente vertikal */
     align-items: center;
     gap: 0.4em; /* Definiert sowohl den row-gap als auch den column-gap für die Flexbox */
     gap: 0.2rem; /* Definiert sowohl row-gap als auch column-gap */
     width: 100%;
     width: 100%;
     padding: 0;
     padding: 0;
Zeile 46: Zeile 47:
.infobar-text .head {
.infobar-text .head {
     line-height: 1;
     line-height: 1;
     flex: 0 0 100%; /* Sorgt dafür, dass der Kopf immer seine eigene Zeile einnimmt */  
     flex: 0 0 100%; /* Kopf nimmt immer seine eigene Zeile einnimmt */  
     font-size: 105%;}
     font-size: 0.9rem;}


.solo {
.solo {
Zeile 58: Zeile 59:
     line-height: 1.3;
     line-height: 1.3;
     display: inline-block;
     display: inline-block;
     align-items: center; /* Zentriert den Inhalt der Items vertikal */
     align-items: center;
     height: max-content;
     height: max-content;
     padding: 0.05em 1em;
     padding: 0.05rem 0.8rem;
     background-color: #fff; /* Hintergrundfarbe der Pillen-Items als Fallback */
     background-color: #fff; /* Fallback Hintergrund der Pillen */
     border-radius: 12px;
     border-radius: 12px;
     font-size: 95%;}
     font-size: 0.75rem;}


.boxless {
.boxless {
Zeile 87: Zeile 88:


.infobar-img img {
.infobar-img img {
     box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.15); /* Subtiler Schatten */
     box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.15);
     max-width: 50px !important;
     max-width: 50px !important;
     max-height: 50px !important;
     max-height: 50px !important;